Skip to main content
GET
/
v2
/
organizations
/
{orgId}
/
teams
/
{teamId}
/
event-types
/
{eventTypeId}
Get an event type
curl --request GET \
  --url https://api.cal.com/v2/organizations/{orgId}/teams/{teamId}/event-types/{eventTypeId}
import requests

url = "https://api.cal.com/v2/organizations/{orgId}/teams/{teamId}/event-types/{eventTypeId}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.cal.com/v2/organizations/{orgId}/teams/{teamId}/event-types/{eventTypeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "data": {
    "id": 1,
    "lengthInMinutes": 60,
    "title": "Learn the secrets of masterchief!",
    "slug": "learn-the-secrets-of-masterchief",
    "description": "Discover the culinary wonders of Argentina by making the best flan ever!",
    "locations": [
      {
        "type": "address",
        "address": "123 Example St, City, Country",
        "public": true
      }
    ],
    "bookingFields": [
      {
        "type": "name",
        "isDefault": true,
        "slug": "name",
        "required": true,
        "label": "<string>",
        "placeholder": "<string>",
        "disableOnPrefill": true
      }
    ],
    "disableGuests": true,
    "recurrence": {
      "interval": 10,
      "occurrences": 10,
      "disabled": false
    },
    "metadata": {},
    "price": 123,
    "currency": "<string>",
    "lockTimeZoneToggleOnBookingPage": true,
    "forwardParamsSuccessRedirect": true,
    "successRedirectUrl": "<string>",
    "isInstantEvent": true,
    "scheduleId": 123,
    "hidden": true,
    "bookingRequiresAuthentication": true,
    "teamId": 123,
    "bookingUrl": "https://cal.com/team/acme/30min",
    "hosts": [
      {
        "userId": 123,
        "name": "John Doe",
        "username": "john-doe",
        "mandatory": false,
        "priority": "medium",
        "avatarUrl": "https://cal.com/api/avatar/d95949bc-ccb1-400f-acf6-045c51a16856.png"
      }
    ],
    "team": {
      "id": 123,
      "slug": "<string>",
      "bannerUrl": "<string>",
      "name": "<string>",
      "logoUrl": "<string>",
      "weekStart": "<string>",
      "brandColor": "<string>",
      "darkBrandColor": "<string>",
      "theme": "<string>"
    },
    "lengthInMinutesOptions": [
      15,
      30,
      60
    ],
    "slotInterval": 60,
    "minimumBookingNotice": 0,
    "beforeEventBuffer": 0,
    "afterEventBuffer": 0,
    "seatsPerTimeSlot": 123,
    "seatsShowAvailabilityCount": true,
    "bookingLimitsCount": {
      "day": 1,
      "week": 2,
      "month": 3,
      "year": 4
    },
    "bookerActiveBookingsLimit": {
      "maximumActiveBookings": 3,
      "offerReschedule": true
    },
    "onlyShowFirstAvailableSlot": true,
    "bookingLimitsDuration": {
      "day": 60,
      "week": 120,
      "month": 180,
      "year": 240,
      "disabled": false
    },
    "bookingWindow": [
      {
        "value": 5,
        "rolling": true,
        "disabled": false
      }
    ],
    "bookerLayouts": {
      "enabledLayouts": []
    },
    "confirmationPolicy": {
      "type": "always",
      "blockUnconfirmedBookingsInBooker": true,
      "noticeThreshold": {
        "unit": "minutes",
        "count": 30
      },
      "disabled": false
    },
    "requiresBookerEmailVerification": true,
    "hideCalendarNotes": true,
    "color": {
      "lightThemeHex": "#292929",
      "darkThemeHex": "#fafafa"
    },
    "seats": {
      "seatsPerTimeSlot": 4,
      "showAttendeeInfo": true,
      "showAvailabilityCount": true,
      "disabled": false
    },
    "offsetStart": 123,
    "customName": "<string>",
    "destinationCalendar": {
      "integration": "<string>",
      "externalId": "<string>"
    },
    "useDestinationCalendarEmail": true,
    "hideCalendarEventDetails": true,
    "hideOrganizerEmail": true,
    "calVideoSettings": {
      "disableRecordingForOrganizer": true,
      "disableRecordingForGuests": true,
      "redirectUrlOnExit": "<string>",
      "enableAutomaticRecordingForOrganizer": true,
      "enableAutomaticTranscription": true,
      "disableTranscriptionForGuests": true,
      "disableTranscriptionForOrganizer": true,
      "sendTranscriptionEmails": true
    },
    "disableCancelling": {
      "disabled": true
    },
    "disableRescheduling": {
      "disabled": true,
      "minutesBefore": 60
    },
    "interfaceLanguage": "<string>",
    "allowReschedulingPastBookings": true,
    "allowReschedulingCancelledBookings": true,
    "showOptimizedSlots": true,
    "privateNoteEnabled": true,
    "privateNoteMode": "<string>",
    "privateNoteTemplate": "<string>",
    "ownerId": 123,
    "parentEventTypeId": 123,
    "assignAllTeamMembers": true,
    "emailSettings": {
      "disableEmailsToAttendees": true,
      "disableEmailsToHosts": true
    },
    "rescheduleWithSameRoundRobinHost": true
  }
}

Headers

Authorization
string

For non-platform customers - value must be Bearer <token> where <token> is api key prefixed with cal_

x-cal-secret-key
string

For platform customers - OAuth client secret key

x-cal-client-id
string

For platform customers - OAuth client ID

Path Parameters

teamId
number
required
eventTypeId
number
required
orgId
number
required

Response

200 - application/json
status
enum<string>
required
Available options:
success,
error
Example:

"success"

data
object
required